HylaFAX The world's most advanced open source fax server

[Date Prev][Date Next][Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [hylafax-users] Mainpine IQ Express and CentOS 5.1 installation problems.

* Lee Howard <faxguy@xxxxxxxxxxxxxxxx> [080228 13:07]:
> George H wrote:
> >Hmm So mainpine cards all need a patched kernel for them to work ?
> The RockForce cards work with nearly all 2.4 and 2.6 kernels, as far as 
> I'm aware (all kernels that support PCI modems... which support began 
> with 2.4.0... I think).  The IQ Express cards use the PCI Express slots, 
> and due to what could rightfully be considered a Linux kernel bug in 
> supporting PCI Express modems... yes, the kernel either needs to be 
> patched or updated to 2.6.24 or later.

The mainpine boards run with any "recent" linux kernel version (since
October 2006, before 2.6.19 came out).

Mainpine *did* get them into the kernel before the boards were out -
October 2006.

Unfortunately, the real "linux kernel" takes a long time to trickle out
to the RHEL based products, and they ship much older (and some say
out-of-date) versions of the linux kernel.

For instance, RHEL5 ships with kernels based on 2.6.18, which came out
in September 2006, only 1 month before the new mainpine support went
into the kernel tree.

If people paying Redhat for RHEL want it to support more hardware, they
should be petitioning their Redhat contacts to add yet-another-patch
to their rhel kernels ;-)


Aidan Van Dyk                                             aidan@xxxxxxxx
Senior Software Developer                          +1 215 825-8700 x8103
iFAX Solutions, Inc.                                http://www.ifax.com/

Attachment: signature.asc
Description: Digital signature

Project hosted by iFAX Solutions